
class Hash

  def update_values
    each{ |k,v| store( k, yield(v) ) }
  end

end



#  _____         _
# |_   _|__  ___| |_
#   | |/ _ \/ __| __|
#   | |  __/\__ \ |_
#   |_|\___||___/\__|
#
=begin test

  require 'test/unit'

  class TCHash < Test::Unit::TestCase

    def test_001
      h = { 1 => 'A', 2 => 'B' }
      h.update_values{ |v| v.downcase }
      assert_equal( { 1 => 'a', 2 => 'b' }, h )
    end

  end

=end
